## ros-jazzy-srdfdom 2.0.4

=== debian/changelog ===
ros-jazzy-srdfdom (2.0.4-5bookworm) bookworm; urgency=high

  * Parse <disable_default_collisions> and <enable_collisions> tags (#101, from #97)
  * Fix Windows .dll install location (#98)
  * Contributors: Robert Haschke, Abishalini Sivaraman, Akash, Henning Kayser

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 08 May 2022 16:00:00 -0000

ros-jazzy-srdfdom (2.0.3-5bookworm) bookworm; urgency=high

  * Use modern cmake (#96 <https://github.com/ros-planning/srdfdom/issues/96>)
  * Fix unit tests & setup.py file (#94 <https://github.com/ros-planning/srdfdom/issues/94>)
  * Fix use of tinyxml2_vendor (#95 <https://github.com/ros-planning/srdfdom/issues/95>)
  * Fixes for usage on windows (#91 <https://github.com/ros-planning/srdfdom/issues/91>)
  * Contributors: Akash, Jafar Abdi, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 26 Sep 2021 16:00:00 -0000

ros-jazzy-srdfdom (2.0.2-5bookworm) bookworm; urgency=high

  * Support rolling CI (#85 <https://github.com/ros-planning/srdfdom/issues/85>)
  * Contributors: Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 May 2021 16:00:00 -0000

ros-jazzy-srdfdom (2.0.1-5bookworm) bookworm; urgency=high

  * SRDFWriter: Add functionality to generate xml for the joint properties
  * Add a new JointProperties xml tag
  * Add diff_drive type to virtual joints
  * [fix] export cmake library install (#76 <https://github.com/ros-planning/srdfdom/issues/76>)
  * Contributors: David V. Lu, Jafar Abdi, Mark Moll, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Apr 2021 16:00:00 -0000

ros-jazzy-srdfdom (2.0.0-5bookworm) bookworm; urgency=high

  * [fix] Conflicting upstream dependency console_bridge
    * Add console_bridge libs with ament_target_dependencies (#59 <https://github.com/ros-planning/srdfdom/issues/59>)
    * Use console_bridge_vendor dependency wrapper (#61 <https://github.com/ros-planning/srdfdom/issues/61>)
  * [maint] Inherit package VERSION from package.xml (#74 <https://github.com/ros-planning/srdfdom/issues/74>)
  * [maint] Symbol visibility for Windows support (#69 <https://github.com/ros-planning/srdfdom/issues/69>)
  * [maint] Proper exporting of TinyXML2 library to dependent ament packages (#54 <https://github.com/ros-planning/srdfdom/issues/54>)
  * [ros2-migration] Port to ROS 2 (#52 <https://github.com/ros-planning/srdfdom/issues/52>)
    * Apply initial port by AcutronicsRobotics (AcutronicRobotics:srdfdom#1 <https://github.com/AcutronicRobotics/srdfdom/issues/1>, AcutronicRobotics:srdfdom#2 <https://github.com/AcutronicRobotics/srdfdom/issues/2>, AcutronicRobotics:srdfdom#3 <https://github.com/AcutronicRobotics/srdfdom/issues/3>, AcutronicRobotics:srdfdom#4 <https://github.com/AcutronicRobotics/srdfdom/issues/4>)
    * Enable Travis CI
  * Contributors: Alejandro Hernandez Cordero, Anas Mchichou El Harrak, Henning Kayser, Hunter L. Allen, Josh Langsfeld, Lior Lustgarten, Patrick Beeson, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 22 Nov 2020 16:00:00 -0000

ros-jazzy-srdfdom (0.6.2-5bookworm) bookworm; urgency=high

  * [bugfix] Correctly return success in SRDFWriter::writeSRDF().
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 08 Sep 2020 16:00:00 -0000

ros-jazzy-srdfdom (0.6.1-5bookworm) bookworm; urgency=high

  * [bugfix] SRDFWriter: Correctly populate XML document
  * [bugfix] SRDFWriter: Use locale independent conversion from double to string (#67 <https://github.com/ros-planning/srdfdom/issues/67>)
  * [maint]  Silence cmake warning
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 05 Sep 2020 16:00:00 -0000

ros-jazzy-srdfdom (0.6.0-5bookworm) bookworm; urgency=high

  * [maint] Switch from TinyXML to TinyXML2 (#60 <https://github.com/ros-planning/srdfdom/issues/60>)
  * [maint] add soname to library (#63 <https://github.com/ros-planning/srdfdom/issues/63>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 18 Aug 2020 16:00:00 -0000

ros-jazzy-srdfdom (0.5.2-5bookworm) bookworm; urgency=high

  * [maint]  Modernize Travis config (#57 <https://github.com/ros-planning/srdfdom/issues/57>)
  * [maint]  Modernize package.xml
  * [maint]  Modernize python (python2 / python3 compatibility)
  * [maint]  Modernize cmake and setup.py
  * [maint]  Fix unittest
  * [maint]  Use [[deprecated]] for better portability (#47 <https://github.com/ros-planning/srdfdom/issues/47>)
  * [maint]  Travis: enable ccache
  * [maint]  Fix catkin_lint issues
  * [maint]  Format code with clang-format (#42 <https://github.com/ros-planning/srdfdom/issues/42>, #43 <https://github.com/ros-planning/srdfdom/issues/43>)
  * [bugfix] Parse group's robot states with C locale (#44 <https://github.com/ros-planning/srdfdom/issues/44>)
  * [bugfix] Trigger error in case of SRDF syntax error (#41 <https://github.com/ros-planning/srdfdom/issues/41>)
  * Contributors: Alejandro Hernández Cordero, Dave Coleman, Jonathan Binney, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, kkufieta

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 29 Jun 2020 16:00:00 -0000

ros-jazzy-srdfdom (0.5.0-5bookworm) bookworm; urgency=high

  * Switch to std::shared_ptr of C++11 (#36 <https://github.com/ros-planning/srdfdom/issues/36>)
  * Change log{Error,Warn} -> CONSOLE_BRIDGE_log{Error,Warn} (#37 <https://github.com/ros-planning/srdfdom/issues/37>)
  * Contributors: Chris Lalancette, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 23 Apr 2018 16:00:00 -0000

ros-jazzy-srdfdom (0.4.2-5bookworm) bookworm; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>

