=== debian/control ===
Source: ros-jazzy-srdfdom
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libconsole-bridge-dev, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-ament-cmake-python, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-cmake <!nocheck>, ros-jazzy-console-bridge-vendor, ros-jazzy-tinyxml2-vendor, ros-jazzy-urdf, ros-jazzy-urdfdom-headers, ros-jazzy-ros-workspace
Homepage: http://ros.org/wiki/srdfdom
Standards-Version: 3.9.2

Package: ros-jazzy-srdfdom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-jazzy-console-bridge-vendor, ros-jazzy-tinyxml2-vendor, ros-jazzy-urdf, ros-jazzy-urdfdom-py, ros-jazzy-ros-workspace
Description: Parser for Semantic Robot Description Format (SRDF).
